Debian Bug report logs - #581268
libdata-visitor-perl: move away from libdata-alias-perl ?

version graph

Package: libdata-visitor-perl; Maintainer for libdata-visitor-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdata-visitor-perl is src:libdata-visitor-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 20 Apr 2010 17:45:01 UTC

Severity: important

Tags: patch

Found in version libdata-visitor-perl/0.27-1

Fixed in version libdata-visitor-perl/0.27-2

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Ticket/Display.html?id=57410

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578547; Package libdata-alias-perl. (Tue, 20 Apr 2010 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 20 Apr 2010 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libdata-alias-perl: FTBFS with Perl 5.12: 'Nullsv' undeclared
Date: Tue, 20 Apr 2010 20:42:45 +0300
Package: libdata-alias-perl
Version: 1.07-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.12-transition
Forwarded: http://rt.cpan.org/Public/Bug/Display.html?id=36165

This package fails to build with Perl 5.12.0 (currently in experimental):

 cc -c   -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/incl
 ude -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g   -DVERSION=\"1.07\" -DXS_VERSION=\"1.07\" -fPIC "-I
 /usr/lib/perl/5.12/CORE"   Alias.c
 Alias.xs: In function 'da_localize_gvar':
 Alias.xs:369: error: 'Nullsv' undeclared (first use in this function)
 Alias.xs:369: error: (Each undeclared identifier is reported only once
 Alias.xs:369: error: for each function it appears in.)
 Alias.xs: In function 'da_refgen':
 Alias.xs:376: error: 'SVt_RV' undeclared (first use in this function)
 Alias.xs: In function 'DataAlias_pp_rv2sv':
 Alias.xs:690: warning: 'PL_no_symref' is deprecated (declared at /usr/lib/perl/5.12/CORE/perl.h:4241)
 Alias.xs: In function 'DataAlias_pp_rv2gv':
 Alias.xs:747: warning: 'PL_no_symref' is deprecated (declared at /usr/lib/perl/5.12/CORE/perl.h:4241)
 Alias.xs: In function 'DataAlias_pp_return':
 Alias.xs:1251: error: 'Nullsv' undeclared (first use in this function)
 Alias.xs: In function 'da_transform':
 Alias.xs:1436: error: 'Nullop' undeclared (first use in this function)
 Alias.xs:1450: error: 'OP_SETSTATE' undeclared (first use in this function)
 Alias.xs: In function 'da_peep2':
 Alias.xs:1589: error: 'OP_SETSTATE' undeclared (first use in this function)
 Alias.xs: In function 'da_ck_entersub':
 Alias.xs:1767: error: 'Nullop' undeclared (first use in this function)
 make[1]: *** [Alias.o] Error 1
 
This is also [rt.cpan.org #36165] with no action since May 2008.
As mentioned in the ticket, the fix may well be quite easy.
-- 
Niko Tyni   ntyni@debian.org




Added tag(s) help. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 15:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578547; Package libdata-alias-perl. (Thu, 22 Apr 2010 15:30:06 GMT) Full text and rfc822 format available.

Message #10 received at 578547@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Niko Tyni <ntyni@debian.org>, 578547@bugs.debian.org
Subject: Re: Bug#578547: libdata-alias-perl: FTBFS with Perl 5.12: 'Nullsv' undeclared
Date: Thu, 22 Apr 2010 18:15:47 +0300
-=| Niko Tyni, Tue, Apr 20, 2010 at 08:42:45PM +0300 |=-
> Package: libdata-alias-perl
> Version: 1.07-1
> Severity: important
> User: debian-perl@lists.debian.org
> Usertags: perl-5.12-transition
> Forwarded: http://rt.cpan.org/Public/Bug/Display.html?id=36165
> 
> This package fails to build with Perl 5.12.0 (currently in experimental):
> 
>  cc -c   -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/incl
>  ude -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g   -DVERSION=\"1.07\" -DXS_VERSION=\"1.07\" -fPIC "-I
>  /usr/lib/perl/5.12/CORE"   Alias.c
>  Alias.xs: In function 'da_localize_gvar':
>  Alias.xs:369: error: 'Nullsv' undeclared (first use in this function)
>  Alias.xs:369: error: (Each undeclared identifier is reported only once
>  Alias.xs:369: error: for each function it appears in.)
>  Alias.xs: In function 'da_refgen':
>  Alias.xs:376: error: 'SVt_RV' undeclared (first use in this function)
>  Alias.xs: In function 'DataAlias_pp_rv2sv':
>  Alias.xs:690: warning: 'PL_no_symref' is deprecated (declared at /usr/lib/perl/5.12/CORE/perl.h:4241)
>  Alias.xs: In function 'DataAlias_pp_rv2gv':
>  Alias.xs:747: warning: 'PL_no_symref' is deprecated (declared at /usr/lib/perl/5.12/CORE/perl.h:4241)
>  Alias.xs: In function 'DataAlias_pp_return':
>  Alias.xs:1251: error: 'Nullsv' undeclared (first use in this function)
>  Alias.xs: In function 'da_transform':
>  Alias.xs:1436: error: 'Nullop' undeclared (first use in this function)
>  Alias.xs:1450: error: 'OP_SETSTATE' undeclared (first use in this function)
>  Alias.xs: In function 'da_peep2':
>  Alias.xs:1589: error: 'OP_SETSTATE' undeclared (first use in this function)
>  Alias.xs: In function 'da_ck_entersub':
>  Alias.xs:1767: error: 'Nullop' undeclared (first use in this function)
>  make[1]: *** [Alias.o] Error 1
>  
> This is also [rt.cpan.org #36165] with no action since May 2008.
> As mentioned in the ticket, the fix may well be quite easy.

That ticket only talks about NullXX being replaced with NULL, which 
seems to fix only part of the problem. There are also SVt_RV, 
PL_no_symref and OP_SETSTATE missing.

I tried replacing SVt_RV with SVt_IV, but the tests failed under 
5.10.1. Perhaps I misunderstood perl5120delta.

No idea what to replace the other two with.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578547; Package libdata-alias-perl. (Thu, 22 Apr 2010 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 22 Apr 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 578547@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 578547@bugs.debian.org
Subject: Re: Bug#578547: libdata-alias-perl: FTBFS with Perl 5.12: 'Nullsv' undeclared
Date: Thu, 22 Apr 2010 21:12:22 +0300
[Message part 1 (text/plain, inline)]
On Thu, Apr 22, 2010 at 06:15:47PM +0300, Damyan Ivanov wrote:
> -=| Niko Tyni, Tue, Apr 20, 2010 at 08:42:45PM +0300 |=-
> > Package: libdata-alias-perl
> > Version: 1.07-1
> > Severity: important
> > User: debian-perl@lists.debian.org
> > Usertags: perl-5.12-transition
> > Forwarded: http://rt.cpan.org/Public/Bug/Display.html?id=36165
> > 
> > This package fails to build with Perl 5.12.0 (currently in experimental):

> That ticket only talks about NullXX being replaced with NULL, which 
> seems to fix only part of the problem. There are also SVt_RV, 
> PL_no_symref and OP_SETSTATE missing.

I got as far as getting it to compile (patch attached) without breaking
5.10.1, but the tests segfault on 5.12.

SVt_RV can be #define'd to SVt_IV on >= 5.11.0. See
/usr/lib/perl/5.12/CORE/sv.h, which would take care of compatibility if
Alias.xs didn't #define PERL_CORE. (I understand this is very much frowned
upon for CPAN modules.)

OP_SETSTATE was disabled before 5.6.0 AFAICS and finally removed
in the 5.11 series.
 http://perl5.git.perl.org/perl.git/commit/38a230cb455fb1aca316039ba1d4aed58c0c60d5

The set of reverse dependencies is rather big, so this is going to be
something of a blocker.
-- 
Niko Tyni   ntyni@debian.org
[578547-partial.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578547; Package libdata-alias-perl. (Mon, 26 Apr 2010 19:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 26 Apr 2010 19:00:08 GMT) Full text and rfc822 format available.

Message #20 received at 578547@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 578547@bugs.debian.org
Subject: Re: Bug#578547: libdata-alias-perl: FTBFS with Perl 5.12: 'Nullsv' undeclared
Date: Mon, 26 Apr 2010 21:57:30 +0300
On Thu, Apr 22, 2010 at 09:12:22PM +0300, Niko Tyni wrote:
 
> I got as far as getting it to compile (patch attached) without breaking
> 5.10.1, but the tests segfault on 5.12.

I have some good and some bad news.

The bad news is that fixing the segfaults looks far from trivial.
The Perl change that broke this is probably
 http://perl5.git.perl.org/perl.git/commit/f7461760003db2ce68155c97ea6c1658e96fcd27

AIUI, Data::Alias hooks onto OP_RV2CV and modifies the parser state, but
the change makes the rv2cv op get generated earlier and the modifications
break. I doubt I'll be able to put a fix together (but I haven't quite
given up yet.)

The good news is that the only direct reverse dependency,
libdata-visitor-perl, only uses Data::Alias::deref(), which works fine
with 5.12. Furthermore, it's really a soft dependency and the relevant
tests are skipped if Data::Alias is not installed.

This gives us a few new options, assuming libdata-alias-perl doesn't
get fixed in time (or at all):

A: disable the test suite in libdata-alias-perl and ship a package
   that works just 'well enough'

B: remove libdata-alias-perl from the archive: either
  B1. remove the libdata-visitor-perl dependency on libdata-alias-perl
    and hope that no libdata-visitor-perl reverse dependencies need
    the removed functionality
 OR
  B2. split Data::Alias::deref() out into a new package and make
    libdata-visitor-perl use that.
 OR
  B3. find another dereferencing implementation and make
    libdata-visitor-perl use that.

B2 or B3 are the only options that look "right" to me.

Obviously upstream should be involved.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578547; Package libdata-alias-perl. (Wed, 12 May 2010 07:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 12 May 2010 07:51:14 GMT) Full text and rfc822 format available.

Message #25 received at 578547@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 578547@bugs.debian.org
Subject: Re: Bug#578547: libdata-alias-perl: FTBFS with Perl 5.12: 'Nullsv' undeclared
Date: Wed, 12 May 2010 10:49:54 +0300
clone 578547 -1
retitle -1 libdata-visitor-perl: move away from libdata-alias-perl ?
reassign -1 libdata-visitor-perl 0.27-1  
forwarded -1 http://rt.cpan.org/Ticket/Display.html?id=57410
user debian-perl@lists.debian.org
usertags -1 perl-5.12-transition
thanks

On Mon, Apr 26, 2010 at 09:57:30PM +0300, Niko Tyni wrote:

> The good news is that the only direct reverse dependency,
> libdata-visitor-perl, only uses Data::Alias::deref(), which works fine
> with 5.12. Furthermore, it's really a soft dependency and the relevant
> tests are skipped if Data::Alias is not installed.
> 
> This gives us a few new options, assuming libdata-alias-perl doesn't
> get fixed in time (or at all):
> 
> A: disable the test suite in libdata-alias-perl and ship a package
>    that works just 'well enough'
> 
> B: remove libdata-alias-perl from the archive: either
>   B1. remove the libdata-visitor-perl dependency on libdata-alias-perl
>     and hope that no libdata-visitor-perl reverse dependencies need
>     the removed functionality
>  OR
>   B2. split Data::Alias::deref() out into a new package and make
>     libdata-visitor-perl use that.
>  OR
>   B3. find another dereferencing implementation and make
>     libdata-visitor-perl use that.
> 
> B2 or B3 are the only options that look "right" to me.
> 
> Obviously upstream should be involved.

I've filed [rt.cpan.org #57410] on Data-Visitor about this and updated the Data-Alias
ticket [rt.cpan.org #36165].
-- 
Niko Tyni   ntyni@debian.org




Bug 578547 cloned as bug 581268. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 07:51:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'libdata-visitor-perl: move away from libdata-alias-perl ?' from 'libdata-alias-perl: FTBFS with Perl 5.12: 'Nullsv' undeclared' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 07:51:20 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libdata-alias-perl' to 'libdata-visitor-perl'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 07:51:21 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libdata-alias-perl/1.07-1. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 07:51:22 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libdata-visitor-perl/0.27-1. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 07:51:22 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://rt.cpan.org/Ticket/Display.html?id=57410' from 'http://rt.cpan.org/Public/Bug/Display.html?id=36165' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 07:51:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#581268; Package libdata-visitor-perl. (Tue, 18 May 2010 07:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 18 May 2010 07:42:09 GMT) Full text and rfc822 format available.

Message #42 received at 581268@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 581268@bugs.debian.org
Subject: Re: libdata-visitor-perl: move away from libdata-alias-perl
Date: Tue, 18 May 2010 10:29:36 +0300
On Wed, May 12, 2010 at 10:49:54AM +0300, Niko Tyni wrote:
> On Mon, Apr 26, 2010 at 09:57:30PM +0300, Niko Tyni wrote:

> > B: remove libdata-alias-perl from the archive: either
> >   B1. remove the libdata-visitor-perl dependency on libdata-alias-perl
> >     and hope that no libdata-visitor-perl reverse dependencies need
> >     the removed functionality

It turns out that Data::Alias is only needed for currently undocumented 
functionality, enabled with the 'weaken' attribute of Data::Visitor objects.

Therefore I think this solution is acceptable and even preferred.

I've glanced through the six reverse dependencies of libdata-visitor-perl,
and I don't see any indication that the undocumented weak reference
support in Data::Visitor is needed.

> >   B2. split Data::Alias::deref() out into a new package and make
> >     libdata-visitor-perl use that.

As a proof of concept, I've put together a Data-Visitor-Crippled
distribution, available at

 http://people.debian.org/~ntyni/perl/Data-Alias-Crippled-1.0701.tar.gz 

but I'm not really enthusiastic about taking this path any further.

I propose we demote libdata-alias-perl to Recommends: or even
Suggests: for now. I very much doubt anything is going to break.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#581268; Package libdata-visitor-perl. (Mon, 24 May 2010 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 24 May 2010 12:09:03 GMT) Full text and rfc822 format available.

Message #47 received at 581268@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 581268@bugs.debian.org
Subject: Re: libdata-visitor-perl: move away from libdata-alias-perl
Date: Mon, 24 May 2010 15:08:10 +0300
[Message part 1 (text/plain, inline)]
tag 581268 patch
tag 581268 - help
thanks

On Tue, May 18, 2010 at 10:29:36AM +0300, Niko Tyni wrote:
> On Wed, May 12, 2010 at 10:49:54AM +0300, Niko Tyni wrote:
> > On Mon, Apr 26, 2010 at 09:57:30PM +0300, Niko Tyni wrote:
> 
> > > B: remove libdata-alias-perl from the archive: either
> > >   B1. remove the libdata-visitor-perl dependency on libdata-alias-perl
> > >     and hope that no libdata-visitor-perl reverse dependencies need
> > >     the removed functionality
> 
> It turns out that Data::Alias is only needed for currently undocumented 
> functionality, enabled with the 'weaken' attribute of Data::Visitor objects.
> 
> Therefore I think this solution is acceptable and even preferred.
> 
> I've glanced through the six reverse dependencies of libdata-visitor-perl,
> and I don't see any indication that the undocumented weak reference
> support in Data::Visitor is needed.

I've now rebuilt all the reverse dependencies (along with a lot of other
packages) against a local version of libdata-visitor-perl that has the
libdata-alias-perl dependency removed. No regressions were found.

> I propose we demote libdata-alias-perl to Recommends: or even
> Suggests: for now. I very much doubt anything is going to break.

I think even Recommends is too much for undocumented functionality, and
I'm inclined to just drop the libdata-alias-perl dependencies altogether.

Trivial patch attached.
-- 
Niko Tyni   ntyni@debian.org
[581268.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 12:09:10 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 12:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#581268; Package libdata-visitor-perl. (Mon, 24 May 2010 12:27:07 GMT) Full text and rfc822 format available.

Message #54 received at 581268@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 581268@bugs.debian.org, 581268-submitter@bugs.debian.org
Subject: Bug in libdata-visitor-perl fixed in revision 58382
Date: Mon, 24 May 2010 12:26:26 +0000
tag 581268 + pending
thanks

Some bugs are closed in revision 58382
by Ansgar Burchardt (ansgar-guest)

Commit message:

* Remove optional (build-)dep on libdata-alias-perl. Data::Alias fails to
  build with perl 5.12 and is unlikely to be fixed. (Closes: #581268)
* Use source format 3.0 (quilt).




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 24 May 2010 12:27:21 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#581268. (Mon, 24 May 2010 12:27:25 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Mon, 24 May 2010 13:06:12 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Mon, 24 May 2010 13:06:12 GMT) Full text and rfc822 format available.

Message #64 received at 581268-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 581268-close@bugs.debian.org
Subject: Bug#581268: fixed in libdata-visitor-perl 0.27-2
Date: Mon, 24 May 2010 13:02:07 +0000
Source: libdata-visitor-perl
Source-Version: 0.27-2

We believe that the bug you reported is fixed in the latest version of
libdata-visitor-perl, which is due to be installed in the Debian FTP archive:

libdata-visitor-perl_0.27-2.debian.tar.gz
  to main/libd/libdata-visitor-perl/libdata-visitor-perl_0.27-2.debian.tar.gz
libdata-visitor-perl_0.27-2.dsc
  to main/libd/libdata-visitor-perl/libdata-visitor-perl_0.27-2.dsc
libdata-visitor-perl_0.27-2_all.deb
  to main/libd/libdata-visitor-perl/libdata-visitor-perl_0.27-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581268@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated libdata-visitor-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 24 May 2010 21:25:39 +0900
Source: libdata-visitor-perl
Binary: libdata-visitor-perl
Architecture: source all
Version: 0.27-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 libdata-visitor-perl - visitor implementation for Perl data structures
Closes: 581268
Changes: 
 libdata-visitor-perl (0.27-2) unstable; urgency=low
 .
   * Remove optional (build-)dep on libdata-alias-perl. Data::Alias fails to
     build with perl 5.12 and is unlikely to be fixed. (Closes: #581268)
   * Use source format 3.0 (quilt).
Checksums-Sha1: 
 673b33989cf6f7f74a6f5ec72cce84ebcd89873b 2307 libdata-visitor-perl_0.27-2.dsc
 3d968bd5c205eea0c7d5bb32ffdbf732334e4255 3113 libdata-visitor-perl_0.27-2.debian.tar.gz
 2582f24c1958d0917010d4a88449c416abf32894 22200 libdata-visitor-perl_0.27-2_all.deb
Checksums-Sha256: 
 0c154cac7629eb06ee4b97f21a2c036247974733c885537696cb8412503d9f05 2307 libdata-visitor-perl_0.27-2.dsc
 ff4a0340b26b8686db8b7ba7ed03476edf5213c0856e476c4ce2d79d09623d9a 3113 libdata-visitor-perl_0.27-2.debian.tar.gz
 a0d6980c12b3ec4405a0093925e0ba78793f97de4e2dc9389f1d377fa4b64aff 22200 libdata-visitor-perl_0.27-2_all.deb
Files: 
 2dd8394c11d8a70137ef2e71b2d137be 2307 perl optional libdata-visitor-perl_0.27-2.dsc
 4698e7287ac8b132d9c323f9a7076442 3113 perl optional libdata-visitor-perl_0.27-2.debian.tar.gz
 0d39e938ada9888146301418f2f63963 22200 perl optional libdata-visitor-perl_0.27-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJL+nXIAAoJELs6aAGGSaoGrMEQAK/vQD8w7GPP7scRISDE3+9Y
Vs0KtMtfjPkrOR2DcKar2y5pGM4F7gOM2u01mrkNaROcoxd9k2Heo0Sl7ALR7vgC
YpIATls70GJBxEumMKwoPRc/d0kd5XkETDhGidr0Jynw1PEQOvuQ10t5bnu/v+E4
hMuP8hSWPurhR3wpgQF2sVy7MHdBegEtoZt+wRWFoBfg3+XhTQCoQOwo5AY00AQq
3qHZ+IbeN6jf7maT/LRvQc/YZwPkRQBIhY2P0vGrL+t/5BqpsdGr8TYLJ6bwvahN
p5Ri4KSMvC/7eC8v3KodbgS4jN6BJqb4ODF9OX2HvskAB2062rnEFAD7oPmuXHW+
4nFO9wjZH1ytVGAwD3Te0k3vxano1HriF2h7edDDfsumjnbtMoS+Kzrc3mQ+fKS3
9EjRBW+rFUbuKLtUyvZJIGI2zcp2A6Za75pGrX7gWkNhljuR67VcWSxJ7i50/EXJ
6P3oVxo2/79iCMqgTM1w9JZ0Rwb1gBBl07U21/YJFtSPoudr/Y8km+TcYoAUUlfF
FMt+b8WKdIt/yvHup+7DUicMxw2+Rv5SW+yfc/WsQ5/mgGlYiKrt9RFikGwYYvY+
DoHudpRCasM/tP+TrhDyyvcJncJ/6Yj4UNVxv+2urpi2pOIeg+Vq8eiUnOa3PhSF
GWa8ipyvhWrp/UxFy/8j
=LAEc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Jul 2010 07:38:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:05:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.